package com.bcxin.ars.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 业务模块
 * @author Ethan
 */
public class Module extends BaseModel {

	private static final long serialVersionUID = -2234843796710895662L;

	private Long nativeCode;
	
	private String code;
	
	private String name;
	
	private String url;
	
	private Integer seq;
	
	private Boolean index;
	
	private Boolean shortcut;
	
	private String cls;
	
	private String action;
	
	private Long moduletype;

	private Long userId;

	private Long pId;

	public Long getpId() {
		return pId;
	}

	public void setpId(Long pId) {
		this.pId = pId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	private List<Operation> operationList = new ArrayList<Operation>();

	public Long getNativeCode() {
		return nativeCode;
	}

	public void setNativeCode(Long nativeCode) {
		this.nativeCode = nativeCode;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}
	
	public Boolean getIndex() {
		return index;
	}

	public void setIndex(Boolean index) {
		this.index = index;
	}

	public Boolean getShortcut() {
		return shortcut;
	}

	public void setShortcut(Boolean shortcut) {
		this.shortcut = shortcut;
	}

	public String getCls() {
		return cls;
	}

	public void setCls(String cls) {
		this.cls = cls;
	}

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public List<Operation> getOperationList() {
		return operationList;
	}

	public void setOperationList(List<Operation> operationList) {
		this.operationList = operationList;
	}

	public Long getModuletype() {
		return moduletype;
	}

	public void setModuletype(Long moduletype) {
		this.moduletype = moduletype;
	}
	
}
